module Legion
  module Extensions
    module Actors
      module Every
        def initialize
          @timer = Celluloid.every(time) do
            timer_method
          end
        end

        def time
          10
        end

        def action
          Legion::Logging.warn 'An extension is using the default block from Legion::Extensions::Runners::Every'
        end

        def cancel
          @timer.cancel
        end
      end
    end
  end
end
